Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ValueDescription

    java.lang.Object
      |
      +--org.omg.CORBA.ValueDescription

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ValueDescription
extends java.lang.Object
implements IDLEntity

This structure provides a valuetype description.

See Also:
  Serialized Form

Field Summary
`java.lang.String[]` | `abstract_base_values` Struct member abstract_base_values
`java.lang.String` | `base_value` Struct member base_value
`java.lang.String` | `defined_in` Struct member defined_in
`java.lang.String` | `id` Struct member id
`boolean` | `is_abstract` Struct member is_abstract
`boolean` | `is_custom` Struct member is_custom
`boolean` | `is_truncatable` Struct member is_truncatable
`java.lang.String` | `name` Struct member name
`java.lang.String[]` | `supported_interfaces` Struct member supported_interfaces
`java.lang.String` | `version` Struct member version

Constructor Summary
`ValueDescription()` Default constructor
`ValueDescription(java.lang.String name, java.lang.String id, boolean is_abstract, boolean is_custom, java.lang.String defined_in, java.lang.String version, java.lang.String[] supported_interfaces, java.lang.String[] abstract_base_values, boolean is_truncatable, java.lang.String base_value)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Struct member name

### id

    public java.lang.String id

  Struct member id

### is_abstract

    public boolean is_abstract

  Struct member is_abstract

### is_custom

    public boolean is_custom

  Struct member is_custom

### defined_in

    public java.lang.String defined_in

  Struct member defined_in

### version

    public java.lang.String version

  Struct member version

### supported_interfaces

    public java.lang.String[] supported_interfaces

  Struct member supported_interfaces

### abstract_base_values

    public java.lang.String[] abstract_base_values

  Struct member abstract_base_values

### is_truncatable

    public boolean is_truncatable

  Struct member is_truncatable

### base_value

    public java.lang.String base_value

  Struct member base_value

Constructor Detail

### ValueDescription

    public ValueDescription()

  Default constructor

### ValueDescription

    public ValueDescription(java.lang.String name,
                            java.lang.String id,
                            boolean is_abstract,
                            boolean is_custom,
                            java.lang.String defined_in,
                            java.lang.String version,
                            java.lang.String[] supported_interfaces,
                            java.lang.String[] abstract_base_values,
                            boolean is_truncatable,
                            java.lang.String base_value)

  Constructor with fields initialization
  Parameters:
    `name` - name struct member
    `id` - id struct member
    `is_abstract` - is_abstract struct member
    `is_custom` - is_custom struct member
    `defined_in` - defined_in struct member
    `version` - version struct member
    `supported_interfaces` - supported_interfaces struct member
    `abstract_base_values` - abstract_base_values struct member
    `is_truncatable` - is_truncatable struct member
    `base_value` - base_value struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD